#include "../include/aprecv-general.h"

int print_raw_in_hex(unsigned char *packet, int length) {
  unsigned int x=0, i=0;
  unsigned short count=0;
 
  for(x = 0; x <= length; x++) {
    if((i++ % 12) == 0 || x == 0) {
	    count++;
	    apsr_output("\n0x%04x:", count);
    }
    apsr_output(" %02x", packet[x]);
  }
  apsr_output("\n");
  
  return(RET_SUCCESS);
}

int print_raw_in_text(unsigned char *packet, int length) {
  unsigned int x=0, i=0;

  apsr_output(" ");

  for(x = 0; x <= length; x++) {
    if(length == -1) break;

    if((i++ % 70) == 0) 
	    apsr_output("\n ");
    if(isprint(packet[x])) {
	    apsr_output("%c", packet[x]);
    }
    else {
	    apsr_output(".");
    }
  }
  apsr_output("\n");
    
  return(RET_SUCCESS);
}
