/* Types */
#define APSR_IPX_TYPE_UNKNOWN	0	/* Unknown			*/
#define APSR_IPX_TYPE_RIP	1	/* RIP				*/
#define	APSR_IPX_TYPE_ECHO	2	/* Echo				*/
#define APSR_IPX_TYPE_ERROR	3	/* Error			*/
#define	APSR_IPX_TYPE_IDP	4	/* IDP = IPX Packet		*/
#define	APSR_IPX_TYPE_SPP	5	/* SPP = SPX Packet		*/
#define	APSR_IPX_TYPE_NCP	17 	/* NCP, NetWare Core Protocol	*/
#define APSR_IPX_TYPE_NETBIOS	20	/* NetBIOS Name Packet		*/
#define	APSR_IPX_TYPE_NDS	104	/* NDS NCP			*/

/* Socket Numbers - Reserved by Protocol */
#define APSR_IPX_SOCKET_NUM_ECH  0x02	/* Echo protocol socket		*/
#define APSR_IPX_SOCKET_NUM_ERR	 0x03	/* Error handler packet		*/

/* Socket Numbers - Defined by Novell */
#define APSR_IPX_SOCKET_NUM_NVT		0x247	/* Novell VirtualTerminal (NVT) server */
#define APSR_IPX_SOCKET_NUM_NCP		0x0451	/* NetWare Core Protocol */
#define APSR_IPX_SOCKET_NUM_SAP		0x0452	/* NetWare Service Advertising Protocol (SAP) */
#define APSR_IPX_SOCKET_NUM_RIP		0x0453  /* NetWare Routing Protocol (RIP) */
#define APSR_IPX_SOCKET_NUM_NETBIOS	0x0455  /* NetBIOS		*/
#define APSR_IPX_SOCKET_NUM_NDP		0x0456	/* NetWare Diagnostics Protocol */
#define APSR_IPX_SOCKET_NUM_NWLINK	0x0553  /* NWLink datagram	*/
#define APSR_IPX_SOCKET_NUM_NVT2	0x8063  /* NVT2 Server		*/
#define APSR_IPX_SOCKET_NUM_PRNT	0x811e  /* Print Server		*/
#define APSR_IPX_SOCKET_NUM_EIGRP	0x85be  /* Cisco EIGRP over IPX	*/

