/* SAP SNAP */
#define APSR_SAP_TCPIP		0x06		/* TCP/IP */
#define APSR_SAP_STP		0x42		/* Spanning Tree */
#define APSR_SAP_TEST		0x88		/* Test (LLCPing) */
#define APSR_SAP_SNAP		0xaa 		/* SNAP */
#define APSR_SAP_NETWARE	0xe0		/* Novell Netware */

#define APSR_CONTROL_UI		0x03		/* Unnumbered */
#define APSR_CONTROL_TEST	0xf3		/* Test (LLCPing) */

/* SNAP OUIs */
#define APSR_SNAP_OUI_ENCETH    0x000000        /* Encapsulated ethernet */
#define APSR_SNAP_OUI_CISCO     0x00000c        /* Cisco protocols */
#define APSR_SNAP_OUI_CISCO_90  0x0000f8        /* Cisco briding */
#define APSR_SNAP_OUI_BRIETH    0x0080c2        /* Bridged Ethernet(rfc2684) */
#define APSR_SNAP_OUI_ATMFORUM	0x00a03e	/* ATM Forum OUI(LUNI 2.0) */
#define APSR_SNAP_OUI_APPLETALK 0x080007        /* Appletalk */

/* Types/PIDs for OUI list, see above */

/* ATM Forum */
#define APSR_SNAP_PID_LUNI_CD	0x0001		/* LE_CONFIG_DIRECT */
#define APSR_SNAP_PID_LUNI_DD3	0x0002		/* LE_DATA_DIRECT 802.3 */
#define APSR_SNAP_PID_LUNI_DD5  0x0003		/* LE_DATA_DIRECT 802.5 */
#define APSR_SNAP_PID_LUNI_M3	0x0004		/* LE_MULTICAST 802.3 */
#define APSR_SNAP_PID_LUNI_M5	0x0005		/* LE_MULTICAST 802.5 */

/* Cisco */
#define APSR_SNAP_PID_CDP       0x2000          /* Cisco CDP */
#define APSR_SNAP_PID_CGMP	0x2001		/* Cisco CGMP */
#define APSR_SNAP_PID_VTP	0x2003		/* Cisco VTP */

