#include "../include/aprecv-general.h"

int print_netblk_packet (unsigned char *packet, int opt_size) {
  static struct netblk_pkt_header *netblk_header;
  
  netblk_header = (struct netblk_pkt_header *)(packet+data_link_size+opt_size);

  apsr_output("- NETBLK Header -\n");

  apsr_output("  Checksum: 0x%04x, Version: %u, Type: %u\n",
		  apsr_ntohs(netblk_header->checksum),
		  netblk_header->version,
		  netblk_header->type);

  apsr_output("  Length: %u, Local Port: %u, Forein Port: %u\n",
		  apsr_ntohs(netblk_header->length),
		  apsr_ntohs(netblk_header->local_port),
		  apsr_ntohs(netblk_header->forein_port));
	  
  apsr_output("  Longword Alignment Padding: 0x%04x\n", 
		  apsr_ntohs(netblk_header->lap));
	  
  if(statistic)
	  stats.c.netblk++;
  
  return(RET_SUCCESS);
}
