Summary: The library for the APSR Suite.
Name: apsrlib
Version: 0.06
Release: 2 
License: APSR
Group: Libraries
URL: http://www.aa-security.de/
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
The library for the APSR Suite. Providing main function for receiving and sending varius protocols.

%prep
%setup -q -n %{name}-%{version}

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/lib/libapsr-0.0.6.so
/usr/lib/libapsr.a
/usr/lib/libapsr.la
/usr/include/apsrlib/apsrlib-config.h
/usr/include/apsrlib/apsrlib-extern.h
/usr/include/apsrlib/apsrlib.h
/usr/include/apsrlib/apsrlib-inc.h
/usr/include/apsrlib/apsrlib-intern.h
/usr/include/apsrlib/apsrlib-structs.h
/usr/include/apsrlib/apsrlib-vendors.h
/usr/include/apsrlib/apsrlib-dlts.h
/usr/include/apsrlib/apsrlib-getopt.h
/usr/include/apsrlib/config.h
/usr/include/apsrlib/modules/apsrlib-modules.h
/usr/include/apsrlib/protocols/apsrlib-arp.h
/usr/include/apsrlib/protocols/apsrlib-apsrserver.h
/usr/include/apsrlib/protocols/apsrlib-bgp.h
/usr/include/apsrlib/protocols/apsrlib-cdp.h
/usr/include/apsrlib/protocols/apsrlib-egp.h
/usr/include/apsrlib/protocols/apsrlib-eigrp.h
/usr/include/apsrlib/protocols/apsrlib-ethernet.h
/usr/include/apsrlib/protocols/apsrlib-general.h
/usr/include/apsrlib/protocols/apsrlib-ggp.h
/usr/include/apsrlib/protocols/apsrlib-gre.h
/usr/include/apsrlib/protocols/apsrlib-icmpv4.h
/usr/include/apsrlib/protocols/apsrlib-icmpv6.h
/usr/include/apsrlib/protocols/apsrlib-ieee802_11.h
/usr/include/apsrlib/protocols/apsrlib-ifmp.h
/usr/include/apsrlib/protocols/apsrlib-igmp.h
/usr/include/apsrlib/protocols/apsrlib-igrp.h
/usr/include/apsrlib/protocols/apsrlib-ipcomp.h
/usr/include/apsrlib/protocols/apsrlib-ipv4.h
/usr/include/apsrlib/protocols/apsrlib-ipv6.h
/usr/include/apsrlib/protocols/apsrlib-ipx.h
/usr/include/apsrlib/protocols/apsrlib-irtp.h
/usr/include/apsrlib/protocols/apsrlib-llc.h
/usr/include/apsrlib/protocols/apsrlib-narp.h
/usr/include/apsrlib/protocols/apsrlib-mopv3.h
/usr/include/apsrlib/protocols/apsrlib-ospf.h
/usr/include/apsrlib/protocols/apsrlib-pim.h
/usr/include/apsrlib/protocols/apsrlib-ppp.h
/usr/include/apsrlib/protocols/apsrlib-pppoe.h
/usr/include/apsrlib/protocols/apsrlib-rip.h
/usr/include/apsrlib/protocols/apsrlib-sll.h
/usr/include/apsrlib/protocols/apsrlib-spx.h
/usr/include/apsrlib/protocols/apsrlib-tcp.h
/usr/include/apsrlib/protocols/apsrlib-tokenring.h
/usr/include/apsrlib/protocols/apsrlib-udp.h
/usr/include/apsrlib/protocols/apsrlib-vrrp.h
/usr/include/apsrlib/protocols/apsrlib-llc.h
/usr/include/apsrlib/protocols/apsrlib-irtp.h
/usr/include/apsrlib/protocols/apsrlib-mopv3.h
/usr/include/apsrlib/protocols/apsrlib-mpls.h
/usr/include/apsrlib/protocols/apsrlib-bgp.h
/usr/include/apsrlib/protocols/apsrlib-fddi.h
/usr/include/apsrlib/protocols/apsrlib-tftp.h
/usr/include/apsrlib/protocols/apsrlib-cbt.h
/usr/include/apsrlib/protocols/apsrlib-rsvp.h
/usr/include/apsrlib/protocols/apsrlib-chdlc.h
/usr/include/apsrlib/protocols/apsrlib-cgmp.h
/usr/include/apsrlib/protocols/apsrlib-gsmp.h
/usr/include/apsrlib/protocols/apsrlib-vtp.h

%changelog
* Sat Mar 22 2003 Maik Pfeil <maik dot pfeil at aa dash security dot de>
- Added for header file apsrlib-vtp.h

* Sat Mar 08 2003 Maik Pfeil <maik dot pfeil at aa dash security dot de>
- Added for header file apsrlib-gsmp.h

* Mon Feb 24 2003 Maik Pfeil <maik dot pfeil at aa dash security dot de>
- Updated header files, version to 0.06

* Fri Oct 25 2002 Maik Pfeil <maik dot pfeil at aa dash security dot de>
- Updated header files

* Thu Jul 11 2002 Martin Kluge <martin dot kluge at aa dash security dot de>
- Updated the apsrlib.spec file

* Wed Jun 12 2002 Maik Pfeil <maik dot pfeil at aa dash security dot de>
- Packaged
