#ifdef HAVE_APSRLIB_MODULE_SUPPORT
/* Module information */
struct apsr_aprecv_module_info {
	char *version;
	char *name;
	char *desc;
	char *bpf_filter;
	unsigned short family;	/* AF_INET / AF_PACKET / AF_IPX and so on */
        unsigned short layer;   /* OSI 1-7 or OSI 8-11 */
	unsigned char proto1;	/* TCP/UDP and so on */
	unsigned char proto2;   /* TCP/UDP and so on */
	unsigned short id1; /* Src Port in IP, Src Socket in IPX and so on */
	unsigned short id2; /* Dst Port in IP, Dst Socket in IPX and so on */
	unsigned short id3; /* Protocol specific */
	unsigned short id4; /* Protocol specific */
};


struct apsr_apsend_module_info {
	char *version;
	char *name;
	char *desc;
	char *req;
};
#endif

